import wx, pcbnew, messpunkte_gui, os

class myMesspunkteGui(messpunkte_gui.MesspunkteGui):
    def __init__(self, parent, board):
        messpunkte_gui.MesspunkteGui.__init__(self, parent)
        self.board  = board
        self.footprintpath = os.path.split(__file__)[0]
        self.footprintpath = os.path.join(self.footprintpath, "footprints\\messpunkte.pretty")
        self.io = pcbnew.PCB_IO()
        
    def getMesspunktFootprint(self):
        Messpunktfootprint = None
        if self.wxRadioBoxWaehleMesspunkt.Selection == 0:
            Messpunktfootprint = self.io.FootprintLoad(self.footprintpath, "Messpunkt_1,00mm")
        if self.wxRadioBoxWaehleMesspunkt.Selection == 1:
            Messpunktfootprint = self.io.FootprintLoad(self.footprintpath, "Messpunkt_1,75mm")
        if self.wxRadioBoxWaehleMesspunkt.Selection == 2:
            Messpunktfootprint = self.io.FootprintLoad(self.footprintpath, "Messpunkt_2,00mm")
        if self.wxRadioBoxWaehleMesspunkt.Selection == 3:
            Messpunktfootprint = self.io.FootprintLoad(self.footprintpath, "Fangstift_5,00mm")
        if self.wxTextControllMesspunktName.Value != "":
            Messpunktfootprint.SetReference(self.wxTextControllMesspunktName.Value)
        return Messpunktfootprint
        
    def Messpunkt_setzen( self, event ):
        tracks = self.board.TracksInNet(0)
        for track in tracks:
            if track.GetLength() == 0.0:
                if track.IsSelected():
                    self.wxTextControlKoordinaten.Value = track.GetPosition().__str__()
                    Messpunktfootprint = self.getMesspunktFootprint()
                    Messpunktfootprint.SetPosition(track.GetPosition())
                    self.board.Add(Messpunktfootprint)
                    pcbnew.Refresh()
                    